Package org.eclipse.lemminx.services.extensions.save

## Enum ISaveContext.SaveContextType

- java.lang.Object
- - java.lang.Enum<ISaveContext.SaveContextType>
  - - org.eclipse.lemminx.services.extensions.save.ISaveContext.SaveContextType

All Implemented Interfaces:
  `Serializable`, `Comparable<ISaveContext.SaveContextType>`

Enclosing interface:
  ISaveContext

    public static enum ISaveContext.SaveContextType
    extends Enum<ISaveContext.SaveContextType>

The save context type:

- DOCUMENT: a document is saved.
- SETTINGS: a settings is saved.

### Enum Constant Summary

Enum Constants
`DOCUMENT`
`SETTINGS`

### Method Summary

All Methods Static Methods Concrete Methods
`static ISaveContext.SaveContextType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ISaveContext.SaveContextType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DOCUMENT

    public static final ISaveContext.SaveContextType DOCUMENT

#### SETTINGS

    public static final ISaveContext.SaveContextType SETTINGS

### Method Detail

#### values

    public static ISaveContext.SaveContextType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ISaveContext.SaveContextType c : ISaveContext.SaveContextType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ISaveContext.SaveContextType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null